# Redemption Reapers 1.4.0
# BID: 955DF07AA5F4497B

ALL_FPS:
  # Disable bUseFixedFrameRate to untie game speed from framerate
  -
    type: write
    address: [MAIN, 0x751C478, 0x7A4]
    address_unsafe: true
    value_type: uint32
    # Default is 0x47, bUseFixedFrameRate |= 0x40 
    # By writing 7 we are making sure that other flags are maintained: 
    # bAllowMultiThreadedAnimationUpdate |= 4
    # bOptimizeAnimBlueprintMemberVariableAccess |= 2
    # bCanBlueprintsTickByDefault |= 1
    value: 7
  # r.DynamicRes.FrameTimeBudget (1000/FPS) cutted to 2 decimals
  -
    type: evaluate_write
    address: [MAIN, 0x74EF1C8, 0]
    value_type: float
    value: ["TruncDec(FRAMETIME_TARGET, 2)", "TruncDec(FRAMETIME_TARGET, 2)"]
  # t.MaxFPS
  -
    type: evaluate_write
    address: [MAIN, 0x751CD98, 0]
    value_type: float
    value: [FPS_LOCK_TARGET, FPS_LOCK_TARGET]
  -
    type: block
    what: timing

